summaryrefslogtreecommitdiffstats
path: root/retiolum/bin/create-host-tar
diff options
context:
space:
mode:
Diffstat (limited to 'retiolum/bin/create-host-tar')
-rwxr-xr-xretiolum/bin/create-host-tar16
1 files changed, 11 insertions, 5 deletions
diff --git a/retiolum/bin/create-host-tar b/retiolum/bin/create-host-tar
index 9def7cec..48ce26d5 100755
--- a/retiolum/bin/create-host-tar
+++ b/retiolum/bin/create-host-tar
@@ -1,9 +1,15 @@
#!/bin/sh
-set -xeuf
-WEBDIR=${WEBDIR:-/srv/http/pub/retiolum}
+set -euf
+if [ x"${1:-}" = "x" ];then
+ echo "usage: $0 DIRECTORY"
+ exit 1
+fi
+
+WEBDIR=$1
+HOSTDIR=${HOSTDIR:-../hosts}
HOSTFILE=$WEBDIR/hosts.tar.gz
+
cd $(dirname $(readlink -f $0))
-git pull origin master || logger "cannot pull painload"
-#rm $HOSTFILE
-tar czf $HOSTFILE -C ../hosts .
+rm -f $HOSTFILE
+tar czf $HOSTFILE -C $HOSTDIR .
chmod a+rx $HOSTFILE